package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class PayRequestFactory
{
    private PayRequestFactory()
    {
    }
    public static com.kingdee.eas.custom.gggl.IPayRequest getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IPayRequest)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("B48C7725") ,com.kingdee.eas.custom.gggl.IPayRequest.class);
    }
    
    public static com.kingdee.eas.custom.gggl.IPayRequest getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IPayRequest)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("B48C7725") ,com.kingdee.eas.custom.gggl.IPayRequest.class, objectCtx);
    }
    public static com.kingdee.eas.custom.gggl.IPayRequest getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IPayRequest)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("B48C7725"));
    }
    public static com.kingdee.eas.custom.gggl.IPayRequest getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IPayRequest)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("B48C7725"));
    }
}